Description: Fixed errors in handling derived object types (like TightSpan).

This is a pure perl patch, it does not require recompiling and
can be applied to the already installed polymake package.
Index: perl/Poly/Overload.pm
===================================================================
RCS file: /homes/combi/Projects/polymake/cvsroot/perl/Poly/Overload.pm,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -I\$Id: -r1.17 -r1.18
--- perl/Poly/Overload.pm	7 Mar 2006 17:59:42 -0000	1.17
+++ perl/Poly/Overload.pm	21 Mar 2006 14:46:19 -0000	1.18
@@ -371,6 +371,7 @@
       ++$min;
       ++$max if defined($max);
       unshift @proto, $pkg;
+      unshift @$default_args, undef if $default_args;
    }
    my $node_type= $labels ? "Poly::Overload::LabeledNode" : "Poly::Overload::Node";
    my ($signature, @last_glob, $last_repeated);
Index: perl/Poly/Prototype.pm
===================================================================
RCS file: /homes/combi/Projects/polymake/cvsroot/perl/Poly/Prototype.pm,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -I\$Id: -r1.14 -r1.15
--- perl/Poly/Prototype.pm	6 Feb 2006 23:36:55 -0000	1.14
+++ perl/Poly/Prototype.pm	20 Mar 2006 15:41:39 -0000	1.15
@@ -171,7 +171,7 @@
 			 sub {
 			    if (!@$cumulated_list) {
 			       @$cumulated_list=@$own_list;
-			       find_all_producers(shift,$meth_name,$cumulated_list);
+			       find_all_producers($object,$meth_name,$cumulated_list);
 			    }
 			    $cumulated_list
 			 });
@@ -214,7 +214,7 @@
 			   sub {
 			      if (!@$cumulated_list) {
 				 Poly::Preference::Label::copy_control($cumulated_list, $own_list);
-				 find_all_rule_labels(shift,$suffix,$cumulated_list);
+				 find_all_rule_labels($object,$suffix,$cumulated_list);
 			      }
 			      $cumulated_list
 			   });
Index: perl/Poly/Scheduler.pm
===================================================================
RCS file: /homes/combi/Projects/polymake/cvsroot/perl/Poly/Scheduler.pm,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -I\$Id: -r1.14 -r1.15
--- perl/Poly/Scheduler.pm	26 Jan 2006 19:55:24 -0000	1.14
+++ perl/Poly/Scheduler.pm	20 Mar 2006 15:39:15 -0000	1.15
@@ -352,7 +352,7 @@
    foreach my $prop (@$input) {
       foreach my $rule (@{ $self->producer->{$prop} ||= do {
 			      my $method=$object->can($prop->prod_method);
-			      [ grep { good_rule($self, $object, $_) } @{$object->$method()} ]
+			      [ grep { good_rule($self, $object, $_) } @{$method->($object)} ]
 			   }}) {
 	 if (!defined $self->supplier->{$rule}) {
 	    $self->supplier->{$rule}=[ ];
Index: perl/ext/Makefile.PL
===================================================================
RCS file: /homes/combi/Projects/polymake/cvsroot/perl/ext/Makefile.PL,v
retrieving revision 1.13.2.1
retrieving revision 1.14
diff -u -I\$Id: -r1.13.2.1 -r1.14
